Sign inGet started

Team Management

GET
/workspaces/{workspaceId}/teams
Retrieve a list of teams within the workspace, showcasing their members count and other details.
Parámetros de consulta
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
sortBy
string
Sort by field specified
Possible values: name
Cuerpo de la respuesta
results
array of object
obligatorio
Mostrar atributos secundarios
results.id
string
obligatorio
results.workspaceId
string
obligatorio
results.name
string
obligatorio
results.description
string
obligatorio
results.visibility
string
obligatorio
results.accessibility
string
results.activeMemberCount
integer
obligatorio
results.pendingMemberCount
integer
obligatorio
results.featuredMembers
array of object
obligatorio
Mostrar atributos secundarios
results.featuredMembers.id
string
obligatorio
results.featuredMembers.type
string
obligatorio
results.hideFromViews
boolean
obligatorio
results.createdAt
string
obligatorio
results.updatedAt
string
obligatorio
nextPageToken
string
The token that can be passed as pageToken in URL to retrieve the next set of results. If missing, no more results to display.
total
integer
The total number of results across all pages.
Ejemplo de código
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/teams' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/teams/{teamId}
Retrieve information about a specific team within the workspace, including its name, and other details.
Cuerpo de la respuesta
id
string
obligatorio
workspaceId
string
obligatorio
name
string
obligatorio
description
string
obligatorio
visibility
string
obligatorio
accessibility
string
activeMemberCount
integer
obligatorio
pendingMemberCount
integer
obligatorio
featuredMembers
array of object
obligatorio
Mostrar atributos secundarios
featuredMembers.id
string
obligatorio
featuredMembers.type
string
obligatorio
hideFromViews
boolean
obligatorio
createdAt
string
obligatorio
updatedAt
string
obligatorio
Ejemplo de código
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/teams/{teamId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/workspaces/{workspaceId}/teams
Create a new team within the workspace, defining its name, and other relevant attributes.
Cuerpo de la solicitud
name
string
obligatorio
description
string
hideFromViews
boolean
members
array of object
Mostrar parámetros secundarios
members.id
string
obligatorio
members.type
string
obligatorio
Cuerpo de la respuesta
id
string
obligatorio
workspaceId
string
obligatorio
name
string
obligatorio
description
string
obligatorio
visibility
string
obligatorio
accessibility
string
activeMemberCount
integer
obligatorio
pendingMemberCount
integer
obligatorio
featuredMembers
array of object
obligatorio
Mostrar atributos secundarios
featuredMembers.id
string
obligatorio
featuredMembers.type
string
obligatorio
hideFromViews
boolean
obligatorio
createdAt
string
obligatorio
updatedAt
string
obligatorio
Ejemplo de código
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/teams' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/workspaces/{workspaceId}/teams/{teamId}
Modify the details of a specific team within the workspace, such as its name, or other attributes.
Cuerpo de la solicitud
name
string
description
string
hideFromViews
boolean
Cuerpo de la respuesta
id
string
obligatorio
workspaceId
string
obligatorio
name
string
obligatorio
description
string
obligatorio
visibility
string
obligatorio
accessibility
string
activeMemberCount
integer
obligatorio
pendingMemberCount
integer
obligatorio
featuredMembers
array of object
obligatorio
Mostrar atributos secundarios
featuredMembers.id
string
obligatorio
featuredMembers.type
string
obligatorio
hideFromViews
boolean
obligatorio
createdAt
string
obligatorio
updatedAt
string
obligatorio
Ejemplo de código
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/teams/{teamId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/workspaces/{workspaceId}/teams/{teamId}
Remove a specific team from the workspace, permanently deleting its profile and associated data.
Ejemplo de código
curl -X DELETE 'https://api.bird.com/workspaces/{workspaceId}/teams/{teamId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/teams/{teamId}/members
Retrieve a list of members within the team, showcasing their names and other details.
Cuerpo de la respuesta
results
array of object
obligatorio
Mostrar atributos secundarios
results.id
string
obligatorio
results.teamId
string
obligatorio
results.type
string
obligatorio
results.status
string
obligatorio
results.createdAt
string
obligatorio
results.updatedAt
string
obligatorio
Ejemplo de código
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/teams/{teamId}/members' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/workspaces/{workspaceId}/teams/{teamId}/members
Add a new member to the team.
Cuerpo de la solicitud
id
string
obligatorio
type
string
obligatorio
Possible values: user
Cuerpo de la respuesta
id
string
obligatorio
teamId
string
obligatorio
type
string
obligatorio
status
string
obligatorio
createdAt
string
obligatorio
updatedAt
string
obligatorio
Ejemplo de código
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/teams/{teamId}/members' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/teams/{teamId}/members/user/{teamMemberUserID}
Retrieve information about a specific member within the team, including their name and other details.
Cuerpo de la respuesta
id
string
obligatorio
teamId
string
obligatorio
type
string
obligatorio
status
string
obligatorio
createdAt
string
obligatorio
updatedAt
string
obligatorio
Ejemplo de código
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/teams/{teamId}/members/user/{teamMemberUserID}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/workspaces/{workspaceId}/teams/{teamId}/members/user/{teamMemberUserID}
Remove a specific member from the team.
Ejemplo de código
curl -X DELETE 'https://api.bird.com/workspaces/{workspaceId}/teams/{teamId}/members/user/{teamMemberUserID}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'